#include <iostream>

using namespace std;

int main()
{
    int n,l,x=1;
    cin>>n>>l;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    for(int i=0;i<n;i++){
        if(l<a[i])x++;
        else{
            cout<<x;
            return 0;
        }
    }
    cout<<-1;



    return 0;
}